Reply to addresses
Reply-to email addresses
The reply to addresse object
Attributes
iduuidUnique identifier
organization_iduuidIdentifier of the organization this reply-to address is defined in
emailtextEmail address replies are sent to
nametextDisplay name of the reply-to address
Related resources
Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).
product_reply_to_addresses(*)arrayThe product reply to addresses referencing this reply to addresse through product_reply_to_addresses.reply_to_address_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"email": "guest@example.com",
"name": "Summer cottage"
}curl -X GET "https://api.bookingmood.com/v1/reply_to_addresses?limit=10&select=*,organizations(*),product_reply_to_addresses(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List reply to addresses
Filters
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this reply-to address is defined in
emailFilter<text>Email address replies are sent to
nameFilter<text>Display name of the reply-to address
Responses
200A list of reply to addresses with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /reply_to_addressescurl -X GET "https://api.bookingmood.com/v1/reply_to_addresses?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"email": "guest@example.com",
"name": "Summer cottage"
}
]Create reply to addresses
Body
Partial<ReplyToAddresse> | Array<Partial<ReplyToAddresse>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created reply to addresses with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /reply_to_addressescurl -X POST "https://api.bookingmood.com/v1/reply_to_addresses" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "guest@example.com",
"name": "Summer cottage",
"organization_id": "00000000-0000-0000-0000-000000000000"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"email": "guest@example.com",
"name": "Summer cottage"
}
]Delete reply to addresses
Filters
Without filters, this request deletes all reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this reply-to address is defined in
emailFilter<text>Email address replies are sent to
nameFilter<text>Display name of the reply-to address
Responses
200The deleted reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /reply_to_addressescurl -X DELETE "https://api.bookingmood.com/v1/reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"email": "guest@example.com",
"name": "Summer cottage"
}
]Update reply to addresses
Filters
Without filters, this request updates all reply to addresses you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>Unique identifier
organization_idFilter<uuid>Identifier of the organization this reply-to address is defined in
emailFilter<text>Email address replies are sent to
nameFilter<text>Display name of the reply-to address
Body
Partial<ReplyToAddresse>Read-only attributes are set by the database and can't be written.
Responses
200The updated reply to addresses with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /reply_to_addressescurl -X PATCH "https://api.bookingmood.com/v1/reply_to_addresses?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "guest@example.com"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"email": "guest@example.com",
"name": "Summer cottage"
}
]